#ifndef TMHistogrammingGlobalPixelZY_H
#define TMHistogrammingGlobalPixelZY_H

#include "TMHistogrammingShowDet.h"

class TH2F;
class TLine;

class TMHistogrammingGlobalPixelZY : public TMHistogrammingShowDet {
 public:
  TMHistogrammingGlobalPixelZY(TLine *tla[960]);
  virtual ~TMHistogrammingGlobalPixelZY();
  
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:
  TH2F    *fTheHisto;
  TLine   *fDetLines[960];

};

#endif
